package org.cs.web.weixin.ws;

import java.rmi.RemoteException;

public class TestWs {

    public static void main(String[] args) throws RemoteException {
        /***调用网络服务axis调用webservice**/
        HrmUserServiceStub hrmUserServiceStub = new HrmUserServiceStub("http://192.168.3.77/services/HrmUserService");

        //getUserByInfo，参数userid，类型字符串，返回值为string，格式为json，
        //{ret:成功标识,msg:返回信息,personcode:工号,status:状态}
        HrmUserServiceStub.GetUserByInfo userByInfo = new HrmUserServiceStub.GetUserByInfo();
        userByInfo.setIn0("2123");

        HrmUserServiceStub.GetUserByInfoResponse userByInfoResponse = hrmUserServiceStub.getUserByInfo(userByInfo);

        String result = userByInfoResponse.getOut();

        System.out.println(result);

    }
}
